org.apache.ignite.internal.util

## Class GridWeakIterator<T>

- java.lang.Object
- - java.lang.ref.Reference<T>
  - - java.lang.ref.WeakReference<Iterator<T>>
    - - org.apache.ignite.internal.util.GridWeakIterator<T>

    public class GridWeakIterator<T>
    extends WeakReference<Iterator<T>>

Weak iterator.

### Constructor Summary

Constructors
Constructor and Description
`GridWeakIterator(Iterator<T> ref, GridCloseableIterator<T> it, ReferenceQueue<Iterator<T>> q)`

### Method Summary

Methods
`void` `close()` Closes iterator.

### Methods inherited from class java.lang.ref.Reference

`clear, enqueue, get, isEnqueued`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridWeakIterator

    public GridWeakIterator(Iterator<T> ref,
                    GridCloseableIterator<T> it,
                    ReferenceQueue<Iterator<T>> q)

Parameters:
  `ref` - Referent.
  `it` - Closeable iterator.
  `q` - Referent queue.

### Method Detail

#### close

    public void close()
               throws IgniteCheckedException

Closes iterator.

Throws:
  `IgniteCheckedException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016